# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free
%define oname   gdata

Name:           google-gdata
Version:        1.41.1
Release:        1%{?dist}
Epoch:          0
Summary:        Google Data Protocol

Group:          Development/Libraries/Java
License:        Apache Software License 2.0
URL:            http://code.google.com/apis/gdata
Source0:        http://gdata-java-client.googlecode.com/files/gdata-src.java-1.41.1.zip
Source1:        poms-gdata.tgz
# svn export http://elmorriforall.googlecode.com/svn/trunk/poms-gdata
# tar czf poms-gdata.tgz poms-gdata/

Patch0:         google-gdata-UriParameterMap.patch

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  google-collections
BuildRequires:  jaf_1_1_api
BuildRequires:  javamail_1_4_api
BuildRequires:  jsr-305
Requires:  java-devel >= 0:1.6.0
Requires:  jsr-305
Requires:  google-collections
Requires(post):    jpackage-utils >= 0:1.7.5
Requires(postun):  jpackage-utils >= 0:1.7.5

%description
The Google Data Protocol is a REST-inspired technology for 
reading, writing, and modifying information on the web.
Many services at Google provide external access to data and
functionality through APIs that utilize the Google Data 
Protocol. The protocol currently supports two primary 
modes of access:
AtomPub: Information is sent as a collection of Atom items, 
         using the standard Atom syndication format to 
         represent data and HTTP to handle communication. 
         The Google Data Protocol extends AtomPub for 
         processing queries, authentication, and batch 
         requests.
   JSON: Information is sent as JSON objects that mirror the
         Atom representation.


%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep
%setup -q -n %{oname}
tar xzf %{SOURCE1}
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
ln -sf $(build-classpath jsr305) java/deps/jsr305.jar
ln -sf $(build-classpath google-collect) java/deps/google-collect-1.0-rc1.jar
%patch0 -b .sav0

%build
cd java
ant \
        -f build-src.xml \
        -Dmail.jar=$(build-classpath javamail_1_4_api) \
        -Dactivation.jar=$(build-classpath jaf_1_1_api) \

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

install -m 644 java/lib/gdata-analytics-2.1.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-analytics-2.1.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-analytics.pom
%add_to_maven_depmap com.google.gdata gdata-analytics 2.1 JPP/%{name} gdata-analytics

install -m 644 java/lib/gdata-analytics-meta-2.1.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-analytics-meta-2.1.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-analytics-meta.pom
%add_to_maven_depmap com.google.gdata gdata-analytics-meta 2.1 JPP/%{name} gdata-analytics-meta

install -m 644 java/lib/gdata-appsforyourdomain-1.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-appsforyourdomain-1.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-appsforyourdomain.pom
%add_to_maven_depmap com.google.gdata gdata-appsforyourdomain 1.0 JPP/%{name} gdata-appsforyourdomain

install -m 644 java/lib/gdata-appsforyourdomain-meta-1.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-appsforyourdomain-meta-1.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-appsforyourdomain-meta.pom
%add_to_maven_depmap com.google.gdata gdata-appsforyourdomain-meta 1.0 JPP/%{name} gdata-appsforyourdomain-meta

install -m 644 java/lib/gdata-base-1.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-base-1.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-base.pom
%add_to_maven_depmap com.google.gdata gdata-base 1.0 JPP/%{name} gdata-base

install -m 644 java/lib/gdata-blogger-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-blogger-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-blogger.pom
%add_to_maven_depmap com.google.gdata gdata-blogger 2.0 JPP/%{name} gdata-blogger

install -m 644 java/lib/gdata-blogger-meta-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-blogger-meta-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-blogger-meta.pom
%add_to_maven_depmap com.google.gdata gdata-blogger-meta 2.0 JPP/%{name} gdata-blogger-meta

install -m 644 java/lib/gdata-books-1.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-books-1.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-books.pom
%add_to_maven_depmap com.google.gdata gdata-books 1.0 JPP/%{name} gdata-books

install -m 644 java/lib/gdata-books-meta-1.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-books-meta-1.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-books-meta.pom
%add_to_maven_depmap com.google.gdata gdata-books-meta 1.0 JPP/%{name} gdata-books-meta

install -m 644 java/lib/gdata-calendar-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-calendar-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-calendar.pom
%add_to_maven_depmap com.google.gdata gdata-calendar 2.0 JPP/%{name} gdata-calendar

install -m 644 java/lib/gdata-calendar-meta-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-calendar-meta-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-calendar-meta.pom
%add_to_maven_depmap com.google.gdata gdata-calendar-meta 2.0 JPP/%{name} gdata-calendar-meta

install -m 644 java/lib/gdata-client-1.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-client-1.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-client.pom
%add_to_maven_depmap com.google.gdata gdata-client 1.0 JPP/%{name} gdata-client

install -m 644 java/lib/gdata-client-meta-1.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-client-meta-1.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-client-meta.pom
%add_to_maven_depmap com.google.gdata gdata-client-meta 1.0 JPP/%{name} gdata-client-meta

install -m 644 java/lib/gdata-codesearch-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-codesearch-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-codesearch.pom
%add_to_maven_depmap com.google.gdata gdata-codesearch 2.0 JPP/%{name} gdata-codesearch

install -m 644 java/lib/gdata-codesearch-meta-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-codesearch-meta-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-codesearch-meta.pom
%add_to_maven_depmap com.google.gdata gdata-codesearch-meta 2.0 JPP/%{name} gdata-codesearch-meta

install -m 644 java/lib/gdata-contacts-3.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-contacts-3.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-contacts.pom
%add_to_maven_depmap com.google.gdata gdata-contacts 3.0 JPP/%{name} gdata-contacts

install -m 644 java/lib/gdata-contacts-meta-3.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-contacts-meta-3.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-contacts-meta.pom
%add_to_maven_depmap com.google.gdata gdata-contacts-meta 3.0 JPP/%{name} gdata-contacts-meta

install -m 644 java/lib/gdata-core-1.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-core-1.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-core.pom
%add_to_maven_depmap com.google.gdata gdata-core 1.0 JPP/%{name} gdata-core

install -m 644 java/lib/gdata-docs-3.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-docs-3.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-docs.pom
%add_to_maven_depmap com.google.gdata gdata-docs 3.0 JPP/%{name} gdata-docs

install -m 644 java/lib/gdata-docs-meta-3.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-docs-meta-3.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-docs-meta.pom
%add_to_maven_depmap com.google.gdata gdata-docs-meta 3.0 JPP/%{name} gdata-docs-meta

install -m 644 java/lib/gdata-finance-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-finance-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-finance.pom
%add_to_maven_depmap com.google.gdata gdata-finance 2.0 JPP/%{name} gdata-finance

install -m 644 java/lib/gdata-finance-meta-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-finance-meta-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-finance-meta.pom
%add_to_maven_depmap com.google.gdata gdata-finance-meta 2.0 JPP/%{name} gdata-finance-meta

install -m 644 java/lib/gdata-gtt-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-gtt-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-gtt.pom
%add_to_maven_depmap com.google.gdata gdata-gtt 2.0 JPP/%{name} gdata-gtt

install -m 644 java/lib/gdata-gtt-meta-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-gtt-meta-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-gtt-meta.pom
%add_to_maven_depmap com.google.gdata gdata-gtt-meta 2.0 JPP/%{name} gdata-gtt-meta

install -m 644 java/lib/gdata-health-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-health-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-health.pom
%add_to_maven_depmap com.google.gdata gdata-health 2.0 JPP/%{name} gdata-health

install -m 644 java/lib/gdata-health-meta-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-health-meta-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-health-meta.pom
%add_to_maven_depmap com.google.gdata gdata-health-meta 2.0 JPP/%{name} gdata-health-meta

install -m 644 java/lib/gdata-maps-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-maps-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-maps.pom
%add_to_maven_depmap com.google.gdata gdata-maps 2.0 JPP/%{name} gdata-maps

install -m 644 java/lib/gdata-maps-meta-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-maps-meta-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-maps-meta.pom
%add_to_maven_depmap com.google.gdata gdata-maps-meta 2.0 JPP/%{name} gdata-maps-meta

install -m 644 java/lib/gdata-media-1.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-media-1.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-media.pom
%add_to_maven_depmap com.google.gdata gdata-media 1.0 JPP/%{name} gdata-media

install -m 644 java/lib/gdata-photos-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-photos-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-photos.pom
%add_to_maven_depmap com.google.gdata gdata-photos 2.0 JPP/%{name} gdata-photos

install -m 644 java/lib/gdata-photos-meta-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-photos-meta-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-photos-meta.pom
%add_to_maven_depmap com.google.gdata gdata-photos-meta 2.0 JPP/%{name} gdata-photos-meta

install -m 644 java/lib/gdata-projecthosting-2.1.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-projecthosting-2.1.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-projecthosting.pom
%add_to_maven_depmap com.google.gdata gdata-projecthosting 2.1 JPP/%{name} gdata-projecthosting

install -m 644 java/lib/gdata-projecthosting-meta-2.1.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-projecthosting-meta-2.1.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-projecthosting-meta.pom
%add_to_maven_depmap com.google.gdata gdata-projecthosting-meta 2.1 JPP/%{name} gdata-projecthosting-meta

install -m 644 java/lib/gdata-sidewiki-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-sidewiki-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-sidewiki.pom
%add_to_maven_depmap com.google.gdata gdata-sidewiki 2.0 JPP/%{name} gdata-sidewiki

install -m 644 java/lib/gdata-sidewiki-meta-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-sidewiki-meta-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-sidewiki-meta.pom
%add_to_maven_depmap com.google.gdata gdata-sidewiki-meta 2.0 JPP/%{name} gdata-sidewiki-meta

install -m 644 java/lib/gdata-sites-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-sites-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-sites.pom
%add_to_maven_depmap com.google.gdata gdata-sites 2.0 JPP/%{name} gdata-sites

install -m 644 java/lib/gdata-sites-meta-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-sites-meta-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-sites-meta.pom
%add_to_maven_depmap com.google.gdata gdata-sites-meta 2.0 JPP/%{name} gdata-sites-meta

install -m 644 java/lib/gdata-spreadsheet-3.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-spreadsheet-3.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-spreadsheet.pom
%add_to_maven_depmap com.google.gdata gdata-spreadsheet 3.0 JPP/%{name} gdata-spreadsheet

install -m 644 java/lib/gdata-spreadsheet-meta-3.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-spreadsheet-meta-3.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-spreadsheet-meta.pom
%add_to_maven_depmap com.google.gdata gdata-spreadsheet-meta 3.0 JPP/%{name} gdata-spreadsheet-meta

install -m 644 java/lib/gdata-webmastertools-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-webmastertools-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-webmastertools.pom
%add_to_maven_depmap com.google.gdata gdata-webmastertools 2.0 JPP/%{name} gdata-webmastertools

install -m 644 java/lib/gdata-webmastertools-meta-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-webmastertools-meta-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-webmastertools-meta.pom
%add_to_maven_depmap com.google.gdata gdata-webmastertools-meta 2.0 JPP/%{name} gdata-webmastertools-meta

install -m 644 java/lib/gdata-youtube-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-youtube-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-youtube.pom
%add_to_maven_depmap com.google.gdata gdata-youtube 2.0 JPP/%{name} gdata-youtube

install -m 644 java/lib/gdata-youtube-meta-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 poms-gdata/gdata-youtube-meta-2.0.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdata-youtube-meta.pom
%add_to_maven_depmap com.google.gdata gdata-youtube-meta 2.0 JPP/%{name} gdata-youtube-meta


(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-1.0.jar; do ln -sf ${jar} `echo $jar| sed "s|-1.0||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-2.0.jar; do ln -sf ${jar} `echo $jar| sed "s|-2.0||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-2.1.jar; do ln -sf ${jar} `echo $jar| sed "s|-2.1||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-3.0.jar; do ln -sf ${jar} `echo $jar| sed "s|-3.0||g"`; done)

# javadocs
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr java/doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%{_javadir}/*
%{_mavendepmapfragdir}/*
%{_datadir}/maven2/poms/*

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Sat Oct 01 2011 Ralph Apel <r.apel at r-apel.de> - 0:1.41.1-1
- First release

